<?php get_header();?>
<div id="main">
	<div id="content">
      <?php if(have_posts()) : ?>
        <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
        <?php /* If this is a category archive */ if (is_category()) { ?>
        <h2 class="post-title">
          Viestialustana <?php echo strtolower(single_cat_title('', false)); ?>
        </h2>

        <?php /* If this is a tag archive */ } elseif (is_tag()) { ?>
        <h2 class="post-title">
          Avainsanana <?php single_tag_title(''); ?>
        </h2>

        <?php /* If this is a commenting platform archive */ } elseif (is_tax( 'sijainti' )) { ?>
        <h2 class="post-title">
          Viestit paikassa <?php single_tag_title(''); ?>
        </h2>

        <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
        <h2 class="post-title">
          Arkisto <?php the_time('j. F\t\a, Y'); ?>
        </h2>

        <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
        <h2 class="post-title">
           Arkisto, <?php the_time('F Y'); ?>
        </h2>

        <?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
        <h2 class="post-title">
          Arkisto <?php the_time('Y'); ?>
        </h2>

        <?php /* If this is a search */ } elseif (is_search()) { ?>
        <h2 class="post-title">
		<?php
		$searched_for = trim( wp_specialchars($s,1) );
		if ( empty($searched_for) ) {
			echo 'Hakutulokset';
		}
		else {
			echo 'Hakusanana <em>'.$searched_for.'</em>';
		}
		?>
	</h2>

        <?php /* If this is an author archive */ } elseif (is_author()) { ?>
        <h2 class="post-title">Kirjoittajakohtainen arkisto</h2>

        <?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
        <h2 class="post-title">Arkisto</h2>

        <?php } ?>
      <?php endif; ?>
	    <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
	        <div class="post" id="post-<?php the_ID(); ?>">
            <h2 class="title"><a
		id="post-<?php the_ID(); ?>-title"
		href="<?php the_permalink(); ?>#post-<?php the_ID(); ?>-title"
		rel="bookmark"
		title="Ikilinkki: <?php the_title_attribute(''); ?>"><?php the_title(); ?></a></h2>
        <div class="meta">
		<p>
		<?php the_category(','); ?>
		<?php
		global $post;
		$terms = get_the_terms( $post->id, 'sijainti' );
		if ( $terms && ! is_wp_error( $terms ) ) {
			$term = end($terms);
			$sijainti = $term->name;
			$linkki = get_post_meta( get_the_ID(), 'Linkki', true );
			echo ': <a href="'.get_option('home').'/sijainnit/'.$term->slug.'/" title="Viestit paikassa '.esc_attr($sijainti).'"><em>'.$sijainti.'</em></a>';
		}
		echo ', ';
		the_time(get_option('date_format')); echo ' klo&nbsp;'; the_time(get_option('time_format'));
		?>.<?php
		$tags = get_the_tags();
		if (!empty($tags)) :
			?><br />Avainsanat: <?php
			foreach ($tags as $tag){
				$tag_link = get_tag_link($tag->term_id);
			
				echo "<a href='{$tag_link}' title='Avainsanalla {$tag->name} merkatut viestit'>{$tag->name}</a> ";
			}
		endif; ?></p>
	</div>
	<div class="entry">
              <?php the_content(__('Continue Reading &#187;')); ?>
              <?php wp_link_pages(); ?>
      	</div>

            <p class="comments">
		<?php
		if ( empty($sijainti) ) {
                	echo '<a href="'. get_post_meta(get_the_ID(), 'Linkki', true).'" title="';
			the_title_attribute('');
			echo ' kontekstissaan">Vastaa viestiin sen kontekstissa</a>';
		}
		else {
                	echo '<a href="'. get_post_meta(get_the_ID(), 'Linkki', true).'" title="'.$sijainti.': ';
			the_title_attribute('');
			echo ' kontekstissaan">Vastaa viestiin sen kontekstissa (<em>'.$sijainti.'</em>)</a>';
		}
		?>
            </p>          
	        </div>
      <?php endwhile; else: ?>
          <p><?php _e('Sorry, no posts matched your criteria.'); ?></p>
      <?php endif; ?>
      <p align="center"><?php posts_nav_link(' - ','&#171; Uudempia','Vanhempia &#187;') ?></p>
	</div>
  <?php get_sidebar();?>
  <?php get_footer();
?>
