<?php if ( function_exists('register_sidebar') ) {register_sidebar();register_sidebar();}
function platform_taxonomy_init() {
	// create a new taxonomy
	register_taxonomy(
		'sijainti',
		'post',
		array(
			'label' => 'Sijainti',
			'sort' => true,
			'args' => array( 'orderby' => 'term_order' ),
			'rewrite' => array(  'slug' => 'sijainnit' )
		)
	);
}
add_action( 'init', 'platform_taxonomy_init' );

add_action('init', 'janikom_add_feed');
function janikom_add_feed() {
	add_feed('comments', 'do_comments_feed');
}
function do_comments_feed() {
	echo '<?'; ?>xml version="1.0" encoding="UTF-8"?>
<rss version="2.0"
	xmlns:content="http://purl.org/rss/1.0/modules/content/"
	xmlns:wfw="http://wellformedweb.org/CommentAPI/"
	xmlns:dc="http://purl.org/dc/elements/1.1/"
	xmlns:atom="http://www.w3.org/2005/Atom"
	xmlns:sy="http://purl.org/rss/1.0/modules/syndication/"
	xmlns:slash="http://purl.org/rss/1.0/modules/slash/"
	xmlns:creativeCommons="http://backend.userland.com/creativeCommonsRssModule"
>

	<channel>
		<title><?php bloginfo_rss('name'); wp_title_rss(); ?></title>
		<link><?php bloginfo_rss('url') ?></link>
		<atom:link href="<?php self_link(); ?>" rel="self" type="application/rss+xml" />
		<description><?php bloginfo_rss("description") ?></description>
		<language><?php echo get_option('rss_language'); ?></language>
		<sy:updatePeriod><?php echo apply_filters( 'rss_update_period', 'hourly' ); ?></sy:updatePeriod>
		<sy:updateFrequency><?php echo apply_filters( 'rss_update_frequency', '1' ); ?></sy:updateFrequency>
		<creativeCommons:license>http://creativecommons.org/publicdomain/zero/1.0/</creativeCommons:license>

<?php
	if (have_posts()) : while (have_posts()) {
		the_post();
		$cats = get_the_category();
		$cat = $cats[0]->cat_name;
?>		<item>
			<title><?php the_title(); ?></title>
			<link><?php echo htmlentities(get_post_meta(get_the_ID(), 'Linkki', true)); ?></link>
			<comments><?php echo htmlentities(get_post_meta(get_the_ID(), 'Linkki', true)); ?></comments>
			<dc:creator><?php the_author(); ?></dc:creator>
			<pubDate><?php echo $the_time = get_post_time('D, d M Y H:i:s', false, $post, false); ?> +0000</pubDate>
			<category><?php echo '<![CDATA['.$cat.']]>'; ?></category>
			<guid isPermaLink="true"><?php the_permalink(); ?></guid>
			<description><?php echo '<![CDATA['; the_excerpt_rss(); echo ']]>'; ?></description>
		</item>
<?php
	}
	endif;
?>
	</channel>
</rss>
<?php
}



?>
