<?php get_header();?>
<div id="main">
	<div id="content">
	    <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
	        <div class="post" id="post-<?php the_ID(); ?>">
            <h1 class="title"><a id="post-<?php the_ID(); ?>-title" href="<?php the_permalink() ?>#post-<?php the_ID(); ?>-title" rel="bookmark" title="Ikilinkki: <?php the_title_attribute(''); ?>"><?php the_title(); ?></a></h1>
        <div class="meta">
		<p>
		<?php the_category(','); ?>
		<?php
		global $post;
		$terms = get_the_terms( $post->id, 'sijainti' );
		if ( $terms && ! is_wp_error( $terms ) ) {
			$term = end($terms);
			$sijainti = $term->name;
			$linkki = get_post_meta( get_the_ID(), 'Linkki', true );
			echo ': <a href="'.get_option('home').'/sijainnit/'.$term->slug.'/" title="Viestit paikassa '.esc_attr($sijainti).'"><em>'.$sijainti.'</em></a>';
		}
		echo ', ';
		the_time(get_option('date_format')); echo ' klo&nbsp;'; the_time(get_option('time_format'));
		?>.<?php
		$tags = get_the_tags();
		if (!empty($tags)) :
			?><br />Avainsanat: <?php
			foreach ($tags as $tag){
				$tag_link = get_tag_link($tag->term_id);
			
				echo "<a href='{$tag_link}' title='Avainsanalla {$tag->name} merkatut viestit'>{$tag->name}</a> ";
			}
		endif; ?></p>
	</div>
	<div class="entry">
              <?php the_content(__('Continue Reading &#187;')); ?>
              <?php wp_link_pages(); ?>
      	</div>

<?php if (!is_page()) : ?>
            <p class="comments">
		<?php
		if ( empty($sijainti) ) {
                	echo '<a href="'. get_post_meta(get_the_ID(), 'Linkki', true).'" title="';
			the_title_attribute('');
			echo ' kontekstissaan">Vastaa viestiin sen kontekstissa</a>';
		}
		else {
                	echo '<a href="'. get_post_meta(get_the_ID(), 'Linkki', true).'" title="'.$sijainti.': ';
			the_title_attribute('');
			echo ' kontekstissaan">Vastaa viestiin sen kontekstissa (<em>'.$sijainti.'</em>)</a>';
		}
		?>
            </p>          
<?php endif; ?>
	        </div>
      <?php endwhile; else: ?>
          <p><?php _e('Sorry, no posts matched your criteria.'); ?></p>
      <?php endif; ?>

      
	</div>
  <?php get_sidebar();?>
  <?php get_footer();?>
